Package org.apache.sysds.runtime

## Class DMLRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sysds.api.DMLException
        - - org.apache.sysds.runtime.DMLRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DMLCompressionException`, `DMLScriptException`, `H5RuntimeException`

    public class DMLRuntimeException
    extends DMLException

This exception should be thrown to flag runtime errors -- DML equivalent to java.lang.RuntimeException.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.api.DMLException

`ERROR_MSG_DELIMITER`

### Constructor Summary

Constructors
`DMLRuntimeException​(Exception e)`
`DMLRuntimeException​(String string)`
`DMLRuntimeException​(String string, Exception ex)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DMLRuntimeException

    public DMLRuntimeException​(String string)

#### DMLRuntimeException

    public DMLRuntimeException​(Exception e)

#### DMLRuntimeException

    public DMLRuntimeException​(String string,
                               Exception ex)